#!/bin/bash

set -eu

export NODE_ENV=production

if [[ -z "$(ls -A /app/data)" ]]; then
    echo "First run"
fi

cd /app/code

setup="{
    \"url\": \"https://${HOSTNAME}\",
    \"admin:username\": \"admin\",
    \"admin:password\": \"password\",
    \"admin:password:confirm\": \"password\",
    \"admin:email\": \"admin@cloudron.io\",
    \"database\": \"mongo\",
    \"mongo\": true,
    \"mongo:host\": \"${MONGODB_HOST}\",
    \"mongo:port\": \"${MONGODB_PORT}\",
    \"mongo:username\": \"${MONGODB_USERNAME}\",
    \"mongo:password\": \"${MONGODB_PASSWORD}\",
    \"mongo:database\": \"${MONGODB_DATABASE}\"
}"

node app --setup "${setup}"
exec node app
